trying to download 2017.1.3


When checking for updates i see this. (currently confronted with a bizare bug, where one of my obj-c classed is not being indexed).

So, if i click on download, it takes me to the latest and **greatest** version, which i dont want. I want build 171.4694.27. Any idea how i can download it from your **fabulous** web site. ?


Official comment

Hi Yves,

Previous AppCode versions can be downloaded here.

err ... thank you Tatiana. This is as well hidden as a 'missing semicolon' error in your editor :) . Unfortunately did not fix my unexplainable 'unindexed' module, with visible code-analysis error, that 1) compiles, and 2) runs without flaw.  See here :


I believe, you've tried File | Invalidate Caches & Restart and it doesn't have any effect? If yes, could you give the latest 2017.3 EAP (build 173.3302.7) a try and see if the same issue reproduces there. In case it does, it'd be great if you file an issue in tracker, providing more details, such as: Xcode version selected in Preferences, which target the problematic file belongs to (i.e. iOS/macOS/etc), what target is selected in Run Configuration dropdown and which resolve context used ("Context: ..." in bottom right). Logs from Help | Show Log in Finder would be also useful.


Please sign in to leave a comment.